org.apache.ignite.internal.processors.platform.messaging

## Class PlatformMessageLocalFilter

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.messaging.PlatformMessageLocalFilter

All Implemented Interfaces:
  Serializable, PlatformMessageFilter, IgniteBiPredicate<UUID,Object>

    public class PlatformMessageLocalFilter
    extends Object
    implements PlatformMessageFilter

Interop local filter. Delegates apply to native platform, uses id to identify native target.

See Also:
  Serialized Form

### Field Summary

Fields
`protected long` `hnd`
`protected PlatformContext` `platformCtx`

### Constructor Summary

Constructors
Constructor and Description
`PlatformMessageLocalFilter(long hnd, PlatformContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(UUID uuid, Object m)` Predicate body.
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `initialize(GridKernalContext ctx)` Initializes the filter.
`void` `onClose()` Closes the filter.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hnd

    protected final long hnd

#### platformCtx

    protected final PlatformContext platformCtx

### Constructor Detail

#### PlatformMessageLocalFilter

    public PlatformMessageLocalFilter(long hnd,
                                      PlatformContext ctx)

Constructor.

Parameters:
  `hnd` - Handle in the native platform.
  `ctx` - Context.

### Method Detail

#### apply

    public boolean apply(UUID uuid,
                         Object m)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<UUID,Object>`
Parameters:
  `uuid` - First parameter.
  `m` - Second parameter.
Returns:
  Return value.

#### onClose

    public void onClose()

Closes the filter.

Specified by:
  `onClose` in interface `PlatformMessageFilter`

#### initialize

    public void initialize(GridKernalContext ctx)

Initializes the filter.

Specified by:
  `initialize` in interface `PlatformMessageFilter`
Parameters:
  `ctx` - Kernal context.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019